Skip to main content

RecoverColumn

Restores a data column in a specified data table to its initial state.

Debug

You can directly run this API in OpenAPI Explorer, saving you the trouble of calculating signatures. After a successful run, OpenAPI Explorer can automatically generate SDK code examples. Debug

Authorization information

The following table lists the authorization information for this API. You can use it in the Action element of a RAM policy statement to grant a RAM user or RAM role the permission to call this API. Details are as follows:
  • Action: the specific permission point.
  • Access level: the access level of each action. Valid values: Write, Read, or List.
  • Resource type: the resource types supported for authorization in the action. Details are as follows:
    • Required resource types are indicated with a preceding asterisk (*).
    • For actions that do not support resource-level authorization, All Resources is used.
  • Condition key: the condition keys defined by the cloud service itself.
  • Dependent action: other permissions required to successfully perform the action. The caller must have the permissions of all dependent actions for the operation to succeed.
ActionAccess levelResource typeCondition keyDependent action
dataanalysisgbi:RecoverColumnnone
*All resources
*
    None
None

Request syntax

POST /gbi/recover/column HTTP/1.1

Request parameters

NameTypeRequiredDescriptionExample value
workspaceIdstringYes

The ID of the Alibaba Cloud Model Studio workspace used for this request

llm-2v3934xtp49esw64
bodyobjectNo

Request body parameters

columnIdKeystringYes

The unique ID of the data column

column-AAAAAAAAh6cWOUPagYstkg
tableIdKeystringYes

The unique ID of the data table

table-AAAAAAAAFQBwSLJkUj4CYg

Response parameters

NameTypeDescriptionExample value
object

Result

dataany

Response data

true
errorMsgstring

Error message

NoAuth
codestring

Error code

NoAuth
successboolean

true indicates a successful API call, false indicates a failed API call

true
requestIdstring

The ID of the request. Each request has a unique value, which helps with troubleshooting

FB11F719-9AC8-5C99-AB0A-4709D437FCFC

Examples

Success response example JSON format
{
  "data": true,
  "errorMsg": "NoAuth",
  "code": "NoAuth",
  "success": true,
  "requestId": "FB11F719-9AC8-5C99-AB0A-4709D437FCFC"
}

Error codes

HTTP status codeError codeError messageDescription
401Internal.ErrorBad Request: Internal Error.Internal error. Contact customer service personnel for troubleshooting
401NoAuthBad Request: Workspace.Illegal.Auth.The current account does not have permission to the specified workspace
401NoResourceAuthBad Request: Resource Auth Error.No permission for the requested resource. Make sure the requested resource belongs to the workspace specified in the current parameters
401SystemOperationInProgressXiyan GBI is learning your previous modifications. Please try again later.Xiyan GBI is learning your previous modifications. Please try again later.
Visit the Error Center to view more error codes.